/***************************************************************************************************
 * @file    : P2.h
 * @brief   : To Develop a parent-child process application, wherein child
 *           process calculates square of numbers (using progressive arithmetic i.e.
 *           square of 2 = 2+2, square of 3 = 3+3+3 and so on) from 1 to 1000
 *           and parent process prints result as soon as soon as child process
 *           produce it. Use Pipes for IPC.
 *
 * @author  : Akash Nair
 * @bug No known bugs.
 **************************************************************************************************/

/***************************************************************************************************
 *Includes
***************************************************************************************************/ 
#include<stdio.h>
#include<unistd.h>
#include<sys/types.h>
#include<sys/wait.h>
#include<string.h>
#include<stdlib.h>

/***************************************************************************************************
 *Defines
 **************************************************************************************************/

 
/***************************************************************************************************
* GLOBAL VARIABLES
* *************************************************************************************************/

/***************************************************************************************************
 * Function Prototype
 **************************************************************************************************/

